Skip to content
API Reference

Retrieve

client.zones.secrets.retrieve(stringid, SecretRetrieveParams { zone_id, xClientRequestID } params, RequestOptionsoptions?): SecretRetrieveResponse { id, created_at, data, 7 more }
GET/zones/{zone_id}/secrets/{id}
ParametersExpand Collapse
id: string
params: SecretRetrieveParams { zone_id, xClientRequestID }
zone_id: string

Path param: A globally unique opaque identifier

minLength1
xClientRequestID?: string

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
SecretRetrieveResponse { id, created_at, data, 7 more }
id: string

A globally unique opaque identifier

minLength1
created_at: string
formatdate-time
data: SecretTokenFields { token, type } | SecretPasswordFields { password, type, username }
Accepts one of the following:
SecretTokenFields { token, type }
token: string
type: "token"
SecretPasswordFields { password, type, username }
password: string
type: "password"
username: string
entity_id: string

A globally unique opaque identifier

minLength1
name: string

A name for the entity to be displayed in UI

updated_at: string
formatdate-time
version: number
minimum1
zone_id: string

A globally unique opaque identifier

minLength1
description?: string

A description of the entity

maxLength128
metadata?: unknown

A JSON object containing arbitrary metadata. Metadata will not be encrypted.

Retrieve

import KeycardAPI from '@keycardai/api';

const client = new KeycardAPI();

const secret = await client.zones.secrets.retrieve('id', { zone_id: 'x' });

console.log(secret.id);
{
  "id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "data": {
    "token": "token",
    "type": "token"
  },
  "entity_id": "x",
  "name": "name",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "version": 1,
  "zone_id": "x",
  "description": "description",
  "metadata": {}
}
Returns Examples
{
  "id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "data": {
    "token": "token",
    "type": "token"
  },
  "entity_id": "x",
  "name": "name",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "version": 1,
  "zone_id": "x",
  "description": "description",
  "metadata": {}
}